Domanda Installa Eclipse CDT su ubuntu 12.04


Sto cercando di aggiungere il CDT a un'installazione Eclipse JDT esistente.

Sto seguendo il processo qui sotto:

  1. Apri Eclipse
  2. Aiuto-> Installa nuovo software
  3. Faccio clic sul pulsante Aggiungi
  4. Inserisco CDT come nome e il link http://download.eclipse.org/tools/cdt/releases/juno come posizione per i repository. (lo stesso errore si verifica se provo ad aggiungere un archivio locale dopo averlo scaricato dal sito di Eclipse: Master CDT)
  5. Seleziono sia le funzioni CDT MAIN che CDT OPTIONAL con una casella di controllo da installare e premere avanti

Nella finestra successiva mi viene quindi richiesto il seguente errore:

Impossibile completare l'installazione perché potrebbero essere disponibili uno o più elementi richiesti   non essere trovato Software in fase di installazione: avvio remoto C / C ++   6.0.0.201302132326 (org.eclipse.cdt.launch.remote.feature.group 6.0.0.201302132326) Requisito mancante: Avvio debug remoto C / C ++ 2.4.0.201302132326 (org.eclipse.cdt.launch.remote 2.4.0.201302132326) richiede 'pacchetto org.eclipse.rse.ui [3.0.0,4.0.0) 'ma non potrebbe essere   trovato Impossibile soddisfare la dipendenza:       Da: Avvio remoto C / C ++ 6.0.0.201302132326 (org.eclipse.cdt.launch.remote.feature.group 6.0.0.201302132326)       A: org.eclipse.cdt.launch.remote [2.4.0.201302132326]

La cosa strana è che se seleziono l'installazione di CDT MAIN nella schermata precedente tutto va bene e mi viene chiesto di accettare i termini della licenza prima che l'installazione abbia effettivamente luogo.

Quindi ho 2 domande:

  1. Qualche idea su cosa potrebbe risolvere il problema?
  2. Credi sia importante installare le funzionalità CDT OPTIONAL per la programmazione e il debug standard?

4
2018-06-25 18:39


origine




risposte:


per risolvere il problema dell'installazione di eclipse con i plugin cdt c / c ++, basta effettuare le seguenti operazioni al terminale:

apt-get install eclipse eclipse-cdt eclipse-jdt # don't include eclipse if you have it already

dopo un'installazione corretta, effettuare quanto segue al terminale; spazio di lavoro di backs pls:

rm -rf ~/.eclipse  
rm -rf ~/workspace  
eclipse -clean &

5
2018-05-02 16:43





Quindi dopo un po 'di ricerca su google ho scoperto che il CDT per Eclipse dipende da altri componenti specifici di Eclipse, come ad esempio bundle org.eclipse.rse.ui (quello che mi manca e causa l'errore). Una nuova installazione di Eclipse potrebbe non includerle tutte, ma possono essere facilmente installate.

Seleziona Guida> Installa nuovo software ... Fai clic sul collegamento per Disponibile   Siti software. Assicurati che ci sia un sito di aggiornamento chiamato juno. Se questo è   non presente, fare clic su Aggiungi ... e immettere    http://download.eclipse.org/releases/juno per la posizione.

Ora, durante i passaggi di installazione, Eclipse dovrebbe scaricare e installare le dipendenze del plugin e tutto funziona correttamente!


4
2018-06-25 19:17



Per qualsiasi persona su Eclipse Neon (aka Eclipse 4.6), il sito di aggiornamento per te è download.eclipse.org/releases/neon - Miron V